org.eclipse.cdt.utils.spawner

## Class ProcessFactory

- java.lang.Object
- - org.eclipse.cdt.utils.spawner.ProcessFactory

    public class ProcessFactory
    extends Object

Restriction:
  This class is not intended to be subclassed by clients.
Restriction:
  This class is not intended to be instantiated by clients.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`Process` `exec(String cmd)`
`Process` `exec(String[] cmdarray)`
`Process` `exec(String[] cmdarray, String[] envp)`
`Process` `exec(String[] cmdarray, String[] envp, File dir)`
`Process` `exec(String[] cmdarray, String[] envp, File dir, PTY pty)`
`Process` `exec(String cmd, String[] envp)`
`Process` `exec(String cmd, String[] envp, File dir)`
`static ProcessFactory` `getFactory()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getFactory

    public static ProcessFactory getFactory()

#### exec

    public Process exec(String cmd)
                 throws IOException

Throws:
  `IOException`

#### exec

    public Process exec(String[] cmdarray)
                 throws IOException

Throws:
  `IOException`

#### exec

    public Process exec(String[] cmdarray,
                        String[] envp)
                 throws IOException

Throws:
  `IOException`

#### exec

    public Process exec(String cmd,
                        String[] envp)
                 throws IOException

Throws:
  `IOException`

#### exec

    public Process exec(String cmd,
                        String[] envp,
                        File dir)
                 throws IOException

Throws:
  `IOException`

#### exec

    public Process exec(String[] cmdarray,
                        String[] envp,
                        File dir)
                 throws IOException

Throws:
  `IOException`

#### exec

    public Process exec(String[] cmdarray,
                        String[] envp,
                        File dir,
                        PTY pty)
                 throws IOException

Throws:
  `IOException`